DIPlib Documentation - ©1995-2013 Quantitative Imaging Group, Delft University of Technology.

# ImagesCheck

Check properties of several images

## SYNOPSIS

dip_Error dip_ImagesCheck( images, imageType, dataType, compareFlag, checkFlag )

## FUNCTION

This function checks whether the image type and the data type of all the images in the array match with the `imageType` and `dataType` variables, and compares selected properties of the first image with those of the other images in the array. This comparison is done by calling `ImagesCompareTwo`. The `checkFlag` can be used to compare properties not supported by `ImagesCompare`. An error is returned by `ImagesCheck` if a check or comparison fails.

## ARGUMENTS

Data type | Name | Description
`dip_ImageArray *` | `images` | Array of Images
`dip_ImageType` | `imageType` | Image type of the first Image
`dip_DataTypeProperties` | `dataType` | Data type of the first Image. See `DataTypeGetInfo`
`dipf_ImagesCompare` | `compareFlag` | Properties to compare. See `ImagesCompare`
`dipf_ImagesCheck` | `checkFlag` | Extra properties to be compared

## dipf_ImagesCheck

Name | Description
`DIP_CKIM_MAX_PRECISION_MATCH` | Check whether data types match or match to the `DIP_GTP_MAX_PRECISION` DataType
`DIP_CKIM_CASTING_TYPE_MATCH` | Check whether data types match or match to the `DIP_GTP_CAST_R2C` or `DIP_GTP_CAST_C2R` types of the first image in `image`
`DIP_CKIM_IGNORE_NULL_DIM_IMAGES` | Ignore images with a zero dimensionality, this flag is usefull when 0d images are used as generic data containers of constants

## SEE ALSO

`ImagesCompareTwo`, `ImagesCompare`, `ImagesCheckTwo`